Catalogs

GET Retrieve a list of catalog IDs.

GET /organizations/{organizationId}/catalogs

Operation ID: getCatalogs. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Get the list of catalog IDs with no filtering.

Parameters

  • organizationId (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f_ecom_' followed by a 4-character realm identifier and a 3-character instance type identifier.

    Example

    f_ecom_zzxy_prd
  • limit (query, integer (int32)) Number of records to retrieve per request. Must be between 1 (minimum) and 50 (maximum). Defaults to 25.
    Default: 25. Minimum: 1. Maximum: 50.
  • offset (query, integer (int32)) Used to retrieve the results based on a particular resource offset.
    Default: 0. Minimum: 0.

Responses

  • 200 Catalogs retrieved successfully.

    Media type: application/json. Schema: Catalogs.

    Example: Catalogs

    {
      "limit": 2,
      "data": [
        {
          "id": "apparel-catalog"
        },
        {
          "id": "electronics-catalog"
        }
      ],
      "offset": 0,
      "total": 2
    }
  • 400 Bad Request. Returned when a specified parameter value is unknown.

    Media type: application/problem+json. Schema: ErrorResponse.

    Example: getCategoryFromCatalog400

    {
      "title": "Bad Request",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-query-parameter",
      "detail": "offset-BAD-REQUEST parameters are not defined in RAML."
    }
  • 401 Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.

    Media type: application/problem+json. Schema: ErrorResponse.

    Example: getCatalog401

    {
      "title": "Invalid Access Token",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-access-token",
      "detail": "The request is unauthorized, the access token is invalid.",
      "accessToken": "iI6IjEiLCJhbGciOiJIUzI1NiIsInR5cCI6Ik"
    }